package com.m2pool.pool.enums;

/**
 * @Description 矿池
 * @Date 2022/5/20 11:15
 * @Author 杜懿
 */
public enum BalanceUseStatus {

    START(0, "正常"),
    DELETE(99, "停用");

    /** 币种参数名 */
    private final int code;
    /** 页面显示名 */
    private final String status;

    BalanceUseStatus(int code, String status) {
        this.code = code;
        this.status = status;
    }

    public int getCode() {
        return code;
    }

    public String getStatus() {
        return status;
    }

    public static String getStatusByCode(int code){
        for (BalanceUseStatus t : BalanceUseStatus.values()) {
            if(t.getCode()==code){
                return t.getStatus();
            }
        }
        return "";
    }
}
